﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace SampleMap
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            try
            {
                var shapeFile = new ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer(System.Environment.CurrentDirectory + "\\Shapes\\sample_ph.shp");
                ThinkGeo.MapSuite.Core.ShapeFileFeatureLayer.BuildIndexFile(shapeFile.ShapePathFileName);
                shapeFile.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                shapeFile.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.Capital2;
                shapeFile.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = new TextStyle("Descriptio", new GeoFont("Tahoma",8), new GeoSolidBrush(GeoColor.StandardColors.Blue));

                var ovl = new LayerOverlay();
                ovl.Layers.Add(shapeFile);
                this.winformsMap1.Overlays.Add(ovl);
                shapeFile.Open();
                this.winformsMap1.CurrentExtent = shapeFile.GetBoundingBox();
                shapeFile.Close();
                this.winformsMap1.Refresh();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
